Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Malloc_LIFO_Iterator<, ACE_LOCK > Class Template Reference

`#include <Malloc_T.h>`

Inheritance diagram for ACE_Malloc_LIFO_Iterator<, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Malloc_LIFO_Iterator<, ACE_LOCK >:

[legend]
List of all members.

## Public Methods
| ACE_Malloc_LIFO_Iterator (ACE_Malloc< ACE_MEM_POOL_2, ACE_LOCK > &malloc, const char *name=0)

### template<ACE_MEM_POOL_1, class ACE_LOCK>
class ACE_Malloc_LIFO_Iterator<, ACE_LOCK >

## Constructor & Destructor Documentation

template<ACE_MEM_POOL_1 , class ACE_LOCK>
ACE_INLINE ACE_Malloc_LIFO_Iterator<, ACE_LOCK >::ACE_Malloc_LIFO_Iterator | ( | ACE_Malloc< ACE_MEM_POOL_2, ACE_LOCK > & | malloc,
|  | const char * | name = 0
| ) |

| If name = 0 it will iterate through everything else only through those entries whose name match.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc_T.i